--==========================================================================================================================
-- By: p0kiehl
-- MapSizes: Create entries based off of the existing mapsize types.
--==========================================================================================================================
--Vanilla Map Sizes
INSERT INTO MapSizes
		(Domain,		MapSizeType,			Name,									Description,										MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex)
SELECT	'PW6MapSizes',	'MAPSIZE_PW6_DUEL',		'LOC_MAPSIZE_PW6_DUEL_NAME',			'LOC_MAPSIZE_PW6_DUEL_DESCRIPTION',					MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex FROM MapSizes WHERE MapSizeType='MAPSIZE_DUEL' AND Domain='StandardMapSizes';

INSERT INTO MapSizes
		(Domain,		MapSizeType,			Name,									Description,										MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex)
SELECT	'PW6MapSizes',	'MAPSIZE_PW6_TINY',		'LOC_MAPSIZE_PW6_TINY_NAME',			'LOC_MAPSIZE_PW6_TINY_DESCRIPTION',					MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex FROM MapSizes WHERE MapSizeType='MAPSIZE_TINY' AND Domain='StandardMapSizes';

INSERT INTO MapSizes
		(Domain,		MapSizeType,			Name,									Description,										MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex)
SELECT	'PW6MapSizes',	'MAPSIZE_PW6_SMALL',	'LOC_MAPSIZE_PW6_SMALL_NAME',			'LOC_MAPSIZE_PW6_SMALL_DESCRIPTION',				MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex FROM MapSizes WHERE MapSizeType='MAPSIZE_SMALL' AND Domain='StandardMapSizes';

INSERT INTO MapSizes
		(Domain,		MapSizeType,			Name,									Description,										MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex)
SELECT	'PW6MapSizes',	'MAPSIZE_PW6_STANDARD',	'LOC_MAPSIZE_PW6_STANDARD_NAME',		'LOC_MAPSIZE_PW6_STANDARD_DESCRIPTION',				MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex FROM MapSizes WHERE MapSizeType='MAPSIZE_STANDARD' AND Domain='StandardMapSizes';

INSERT INTO MapSizes
		(Domain,		MapSizeType,			Name,									Description,										MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex)
SELECT	'PW6MapSizes',	'MAPSIZE_PW6_LARGE',	'LOC_MAPSIZE_PW6_LARGE_NAME',			'LOC_MAPSIZE_PW6_LARGE_DESCRIPTION',				MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex FROM MapSizes WHERE MapSizeType='MAPSIZE_LARGE' AND Domain='StandardMapSizes';

INSERT INTO MapSizes
		(Domain,		MapSizeType,			Name,									Description,										MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex)
SELECT	'PW6MapSizes',	'MAPSIZE_PW6_HUGE',		'LOC_MAPSIZE_PW6_HUGE_NAME',			'LOC_MAPSIZE_PW6_HUGE_DESCRIPTION',					MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex FROM MapSizes WHERE MapSizeType='MAPSIZE_HUGE' AND Domain='StandardMapSizes';

--p0kiehl's Larger Map Sizes
INSERT INTO MapSizes
		(Domain,		MapSizeType,			Name,									Description,										MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex)
SELECT	'PW6MapSizes',	'MAPSIZE_PW6_MASSIVE',	'LOC_MAPSIZE_PW6_MASSIVE_NAME',			'LOC_MAPSIZE_PW6_MASSIVE_DESCRIPTION',				MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex FROM MapSizes WHERE MapSizeType='MAPSIZE_MASSIVE' AND Domain='StandardMapSizes';

INSERT INTO MapSizes
		(Domain,		MapSizeType,			Name,									Description,										MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex)
SELECT	'PW6MapSizes',	'MAPSIZE_PW6_GIGANTIC',	'LOC_MAPSIZE_PW6_GIGANTIC_NAME',		'LOC_MAPSIZE_PW6_GIGANTIC_DESCRIPTION',				MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex FROM MapSizes WHERE MapSizeType='MAPSIZE_GIGANTIC' AND Domain='StandardMapSizes';

INSERT INTO MapSizes
		(Domain,		MapSizeType,			Name,									Description,										MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex)
SELECT	'PW6MapSizes',	'MAPSIZE_PW6_COLOSSAL',	'LOC_MAPSIZE_PW6_COLOSSAL_NAME',		'LOC_MAPSIZE_PW6_COLOSSAL_DESCRIPTION',				MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex FROM MapSizes WHERE MapSizeType='MAPSIZE_COLOSSAL' AND Domain='StandardMapSizes';

--YNAMP
INSERT INTO MapSizes
		(Domain,		MapSizeType,				Name,								Description,									MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex)
SELECT	'PW6MapSizes',	'MAPSIZE_PW6_SMALL21',		'LOC_MAPSIZE_PW6_SMALL21_NAME',		'LOC_MAPSIZE_PW6_SMALL21_DESCRIPTION',			MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex FROM MapSizes WHERE MapSizeType='MAPSIZE_SMALL21' AND Domain='StandardMapSizes';

INSERT INTO MapSizes
		(Domain,		MapSizeType,				Name,								Description,									MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex)
SELECT	'PW6MapSizes',	'MAPSIZE_PW6_STANDARD21',	'LOC_MAPSIZE_PW6_STANDARD21_NAME',	'LOC_MAPSIZE_PW6_STANDARD21_DESCRIPTION',		MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex FROM MapSizes WHERE MapSizeType='MAPSIZE_STANDARD21' AND Domain='StandardMapSizes';
	
INSERT INTO MapSizes
		(Domain,		MapSizeType,				Name,								Description,									MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex)
SELECT	'PW6MapSizes',	'MAPSIZE_PW6_LARGE21',		'LOC_MAPSIZE_PW6_LARGE21_NAME',		'LOC_MAPSIZE_PW6_LARGE21_DESCRIPTION',			MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex FROM MapSizes WHERE MapSizeType='MAPSIZE_LARGE21' AND Domain='StandardMapSizes';

INSERT INTO MapSizes
		(Domain,		MapSizeType,				Name,								Description,									MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex)
SELECT	'PW6MapSizes',	'MAPSIZE_PW6_HUGE21',		'LOC_MAPSIZE_PW6_HUGE21_NAME',		'LOC_MAPSIZE_PW6_HUGE21_DESCRIPTION',			MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex FROM MapSizes WHERE MapSizeType='MAPSIZE_HUGE21' AND Domain='StandardMapSizes';

INSERT INTO MapSizes
		(Domain,		MapSizeType,				Name,								Description,									MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex)
SELECT	'PW6MapSizes',	'MAPSIZE_PW6_ENORMOUS',		'LOC_MAPSIZE_PW6_ENORMOUS_NAME',	'LOC_MAPSIZE_PW6_ENORMOUS_DESCRIPTION',			MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex FROM MapSizes WHERE MapSizeType='MAPSIZE_ENORMOUS' AND Domain='StandardMapSizes';

INSERT INTO MapSizes
		(Domain,		MapSizeType,				Name,								Description,									MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex)
SELECT	'PW6MapSizes',	'MAPSIZE_PW6_ENORMOUS21',	'LOC_MAPSIZE_PW6_ENORMOUS21_NAME',	'LOC_MAPSIZE_PW6_ENORMOUS21_DESCRIPTION',		MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex FROM MapSizes WHERE MapSizeType='MAPSIZE_ENORMOUS21' AND Domain='StandardMapSizes';

INSERT INTO MapSizes
		(Domain,		MapSizeType,				Name,								Description,									MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex)
SELECT	'PW6MapSizes',	'MAPSIZE_PW6_GIANT',		'LOC_MAPSIZE_PW6_GIANT_NAME',		'LOC_MAPSIZE_PW6_GIANT_DESCRIPTION',			MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex FROM MapSizes WHERE MapSizeType='MAPSIZE_GIANT' AND Domain='StandardMapSizes';
	
INSERT INTO MapSizes
		(Domain,		MapSizeType,				Name,								Description,									MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex)
SELECT	'PW6MapSizes',	'MAPSIZE_PW6_LUDICROUS',	'LOC_MAPSIZE_PW6_LUDICROUS_NAME',	'LOC_MAPSIZE_PW6_LUDICROUS_DESCRIPTION',		MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex FROM MapSizes WHERE MapSizeType='MAPSIZE_LUDICROUS' AND Domain='StandardMapSizes';

INSERT INTO MapSizes
		(Domain,		MapSizeType,				Name,								Description,									MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex)
SELECT	'PW6MapSizes',	'MAPSIZE_PW6_OVERSIZED',	'LOC_MAPSIZE_PW6_OVERSIZED_NAME',	'LOC_MAPSIZE_PW6_OVERSIZED_DESCRIPTION',		MinPlayers,	MaxPlayers,	DefaultPlayers,	MinCityStates,	MaxCityStates,	DefaultCityStates,	SortIndex FROM MapSizes WHERE MapSizeType='MAPSIZE_OVERSIZED' AND Domain='StandardMapSizes';

--==========================================================================================================================
-- MapsDomainOverrides: These map sizes will only show up when PW6 is selected.
--==========================================================================================================================

INSERT INTO MapDomainOverrides
		(Map,					ParameterId,	Domain)
VALUES	('PerfectWorld6.lua',	'MapSize',		'PW6MapSizes');


--==========================================================================================================================
-- Parameters: Set default map size.
--==========================================================================================================================
INSERT INTO Parameters
		(Key1,
        Key2,
        ParameterId,
        Name,
        Description,
        Domain,
        Hash,
        DefaultValue,
        ConfigurationGroup,
        ConfigurationId,
        DomainConfigurationId,
        DomainValuesConfigurationId,
        ValueNameConfigurationId,
        ValueDomainConfigurationId,
        GroupId,
        Visible,
        ReadOnly,
        SupportsSinglePlayer,
        SupportsLANMultiplayer,
        SupportsInternetMultiplayer,
        SupportsHotSeat,
        SupportsPlayByCloud,
        ChangeableAfterGameStart,
        SortIndex)
SELECT	Key1,
        Key2,
        ParameterId,
        Name,
        Description,
        'PW6MapSizes',
        Hash,
        'MAPSIZE_PW6_SMALL',
        ConfigurationGroup,
        ConfigurationId,
        DomainConfigurationId,
        DomainValuesConfigurationId,
        ValueNameConfigurationId,
        ValueDomainConfigurationId,
        GroupId,
        Visible,
        ReadOnly,
        SupportsSinglePlayer,
        SupportsLANMultiplayer,
        SupportsInternetMultiplayer,
        SupportsHotSeat,
        SupportsPlayByCloud,
        ChangeableAfterGameStart,
        SortIndex
FROM Parameters WHERE ParameterId='MapSize';