--==========================================================================================================================
-- By: p0kiehl 
-- Maps: Create new PW6 map sizes based on standard maps, with GridWidth and GridHeight multiplied by 1.15 and rounded to
-- nearest even integer. 
--==========================================================================================================================
--Vanilla Map Sizes
INSERT INTO Maps_XP2
		(MapSizeType,				CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel)
SELECT	'MAPSIZE_PW6_DUEL',			CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel FROM Maps_XP2 WHERE MapSizeType='MAPSIZE_DUEL';

INSERT INTO Maps_XP2
		(MapSizeType,				CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel)
SELECT	'MAPSIZE_PW6_TINY',			CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel FROM Maps_XP2 WHERE MapSizeType='MAPSIZE_TINY';
	
INSERT INTO Maps_XP2
		(MapSizeType,				CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel)
SELECT	'MAPSIZE_PW6_SMALL',		CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel FROM Maps_XP2 WHERE MapSizeType='MAPSIZE_SMALL';

INSERT INTO Maps_XP2
		(MapSizeType,				CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel)
SELECT	'MAPSIZE_PW6_STANDARD',		CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel FROM Maps_XP2 WHERE MapSizeType='MAPSIZE_STANDARD';

INSERT INTO Maps_XP2
		(MapSizeType,				CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel)
SELECT	'MAPSIZE_PW6_LARGE',		CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel FROM Maps_XP2 WHERE MapSizeType='MAPSIZE_LARGE';

INSERT INTO Maps_XP2
		(MapSizeType,				CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel)
SELECT	'MAPSIZE_PW6_HUGE',			CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel FROM Maps_XP2 WHERE MapSizeType='MAPSIZE_HUGE';

--p0kiehl's Larger Map Sizez
INSERT INTO Maps_XP2
		(MapSizeType,				CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel)
SELECT	'MAPSIZE_PW6_MASSIVE',		CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel FROM Maps_XP2 WHERE MapSizeType='MAPSIZE_MASSIVE';

INSERT INTO Maps_XP2
		(MapSizeType,				CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel)
SELECT	'MAPSIZE_PW6_GIGANTIC',		CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel FROM Maps_XP2 WHERE MapSizeType='MAPSIZE_GIGANTIC';

INSERT INTO Maps_XP2
		(MapSizeType,				CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel)
SELECT	'MAPSIZE_PW6_COLOSSAL',		CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel FROM Maps_XP2 WHERE MapSizeType='MAPSIZE_COLOSSAL';

--YNAMP
INSERT INTO Maps_XP2
		(MapSizeType,				CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel)
SELECT	'MAPSIZE_PW6_SMALL21',		CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel FROM Maps_XP2 WHERE MapSizeType='MAPSIZE_SMALL21';

INSERT INTO Maps_XP2
		(MapSizeType,				CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel)
SELECT	'MAPSIZE_PW6_STANDARD21',	CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel FROM Maps_XP2 WHERE MapSizeType='MAPSIZE_STANDARD21';

INSERT INTO Maps_XP2
		(MapSizeType,				CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel)
SELECT	'MAPSIZE_PW6_LARGE21',		CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel FROM Maps_XP2 WHERE MapSizeType='MAPSIZE_LARGE21';

INSERT INTO Maps_XP2
		(MapSizeType,				CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel)
SELECT	'MAPSIZE_PW6_HUGE21',		CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel FROM Maps_XP2 WHERE MapSizeType='MAPSIZE_HUGE21';

INSERT INTO Maps_XP2
		(MapSizeType,				CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel)
SELECT	'MAPSIZE_PW6_ENORMOUS',		CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel FROM Maps_XP2 WHERE MapSizeType='MAPSIZE_ENORMOUS';

INSERT INTO Maps_XP2
		(MapSizeType,				CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel)
SELECT	'MAPSIZE_PW6_ENORMOUS21',	CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel FROM Maps_XP2 WHERE MapSizeType='MAPSIZE_ENORMOUS21';

INSERT INTO Maps_XP2
		(MapSizeType,				CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel)
SELECT	'MAPSIZE_PW6_GIANT',		CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel FROM Maps_XP2 WHERE MapSizeType='MAPSIZE_GIANT';

INSERT INTO Maps_XP2
		(MapSizeType,				CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel)
SELECT	'MAPSIZE_PW6_LUDICROUS',	CO2For1DegreeTempRise,	DesertPlotCountToLabel,	MountainPlotCountToLabel FROM Maps_XP2 WHERE MapSizeType='MAPSIZE_LUDICROUS';
